dict_substrategy = {
    "-1": "其他策略",
    "1010": '主观多头',
    "1020": '股票多空',
    "1030": '量化多头',
    "2010": '宏观策略',
    "3010": '主观趋势',
    "3020": '主观套利',
    "3030": '量化趋势',
    "3040": '量化套利',
    "3050": 'CTA策略',
    "4010": '并购重组',
    "4020": '定向增发',
    "4030": '大宗交易',
    "4040": '事件驱动复合',
    "5010": '市场中性',
    "5020": '套利策略',
    "5030": '相对价值复合',
    "6010": '纯债策略',
    "6020": '强债策略',
    "6030": '债券策略',
    "7010": 'MOM',
    "7020": 'FOF',
    "8010": '主观多策略',
    "8020": '量化多策略',
    "A": "股票型",
    "B": "混合型",
    "C": "债券型",
    "D": "货币基金",
    "E": "QDII",
    "F": "其他",
    "J": "商品",
    "K": "FOF",
    "A01": "股票->积极投资股票型",
    "A02": "股票->指数型",
    "B01": "混合->灵活配置型",
    "B02": "混合->积极配置型",
    "B03": "混合->保守配置型",
    "B04": "混合->保本型",
    "B05": "混合->特定策略型",
    "C01": "债券->纯债型",
    "C02": "债券->一级债基",
    "C03": "债券->二级债基",
    "C04": "债券->理财债基",
    "D01": "货币A",
    "D02": "货币B",
    "D03": "货币R",
    "E01": "QDII->股票",
    "E02": "QDII->混合",
    "J01": "商品ETF",
    "J02": "商品期货",
    "J03": "商品ETF联接",
    "A0101": "积极股票型",
    "A0102": "稳健股票型",
    "A0201": "纯指数型",
    "A0202": "增强指数型",
    "C0101": "债券->纯债型",
    "C0102": "债券->指数型债券",
    "C0103": "债券->债券ETF",
    "C0104": "债券->债券ETF联接",
    "C0105": "债券->增强型指数型债券",
    "E0101": "QDII->股票被动型",
    "E0102": "QDII->股票主动型",
    "E0201": "QDII->混合",
    "E0202": "QDII->债券",
    "E0203": "QDII->商品",
    "E0204": "QDII->FOF",
    "E0205": "QDII->其他基金",
    "A020101": "股票->股票ETF",
    "A020102": "股票->股票ETF联接",
    "A020103": "股票->纯指数型",
    "E010101": "QDII->股票被动型",
    "E010102": "QDII->股票被动型",
    "E010103": "QDII->股票被动型",
    "E010104": "QDII->股票被动型",
    "E010201": "QDII->股票主动型",
    "E010202": "QDII->股票主动型",
    "E010203": "QDII->股票主动型",
    "E010204": "QDII->股票主动型",
    "E010205": "QDII->股票主动型",
    "E010206": "QDII->股票主动型",
    "E020101": "QDII->全球股债混合",
    "E020102": "QDII->亚太股债混合",
    "E020103": "QDII->大中华市场",
    "E020104": "QDII->新兴股债混合",
    "E020201": "QDII->债券主动型",
    "E020202": "QDII->债券主动型",
    "E020203": "QDII->债券主动型",
    "E020204": "QDII->债券主动型",
    "E020205": "QDII->债券被动型",
    "E020206": "QDII->债券被动型",
    "E020207": "QDII->债券被动型",
    "E020301": "QDII->商品实物",
    "E020302": "QDII->商品ETF",
    "E020303": "QDII->商品主动股票"
}


def get_substrategy_name(sub):
    try:
        sub = int(sub)
        code = str(sub)
        strategy_name = dict_substrategy[code]
        return strategy_name
    except ValueError:
        pass
    try:
        code = str(sub)
        strategy_name = dict_substrategy[code]
        return strategy_name
    except:
        return dict_substrategy["-1"]


